> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/hosted-pages.md).

# Hosted pages

Txn provides hosted pages for invoices, channels, and payment links. The URL for each hosted page is returned in the `hostedPageUrl` parameter in API responses.

## **Example: Invoice Hosted Page**

{% code overflow="wrap" %}

```
https://sandbox.txn.io/redirect?invoice_id=1e331bac-ca3a-4480-9c66-ae2536f04b81&request_type=invoice_hosted_page&zone=ca
```

{% endcode %}

## **Customizing the Hosted Page Appearance**

You can use the following URL parameters to control the appearance of the hosted page:

1. **`showQrCode`** (`true` / `false`)
   * If `true`, the QR code is displayed by default, so end-users don’t need to click to expand it
   * By default, users must click a button to view the QR code
2. **`hideLangSwitcher`** (`true` / `false`)
   * If `true`, the language switcher is hidden
   * By default, the language switcher is always visible
3. **`lang`** (`en`, `pt`, `fr`, `tr`, `es`, `jp`, `ar`, `cn`, `vn`, `ms`)
   * Specifies the language of the hosted page
   * By default, the platform detects the end-user's browser locale and applies the appropriate translation. If the locale isn't supported, English is used
   * `en` - English
   * `pt` - Portugal
   * `fr` - French
   * `tr` - Turkish
   * `es` - Spanish
   * `jp` - Japanese
   * `ar` - Arabic
   * `cn` - Chinese (Simplified)
   * `vn` - Vietnamese
   * `ms` - Malay (Bahasa Melayu)

### **Example: Customized Hosted Page**

{% code overflow="wrap" %}

```
https://sandbox.txn.io/redirect?invoice_id=1e331bac-ca3a-4480-9c66-ae2536f04b81&request_type=invoice_hosted_page&zone=ca&showQrCode=true&hideLangSwitcher=on&lang=en
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.txn.io/hosted-pages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
